Manual06/fr

From FreeCAD Documentation
Jump to: navigation, search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Édition d'objets.


Draft



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Édition d'objets

Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg

Draft Move.svg Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft, Arch
Raccourci par défaut
M V
Introduit dans la version
0.7
Voir aussi
Copie en réseau, Chemin de copie en réseau


Description

L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.

L'outil Déplacement peut être utilisé sur des formes 2D créées avec les ateliers Draft ou Sketcher, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec les ateliers Part ou Arch.

Pour produire diverses copies dans différents arrangements, utilisez Copie en réseau Draft, Chemin de copie en réseau Draft et Point de réseau Draft.

Draft Move example.jpg

Déplacer un objet d'un point à un autre


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier.
  2. Appuyez sur le bouton Draft Move.svg Déplacer, ou appuyez sur les touches M puis V. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Cela sert de point de base de l'opération.
  4. Cliquez sur un autre point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. C'est la nouvelle position du point de base.

Limitations

Lorsque vous déplacez un objet basé sur une esquisse, par exemple, une fonctionnalité créée avec PartDesign (Pad, Revolution, etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.

Options

  • Appuyez sur les touches X, Y or Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Enter entre chacune des composantes X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif . Si le mode Relatif est activé, les coordonnées du point suivant sont relatives au dernier; sinon, elles sont absolues, prises de l'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case à cocher pour basculer en mode continuer . Si le mode Continuer est activé, l'outil Déplacer redémarrera à la fin de l'opération. Vous pourrez ainsi déplacer ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur P ou cliquez sur la case à cocher pour basculer en mode copie . Si le mode Copie est activé, l'outil Déplacer conservera la forme d'origine à sa place mais en effectuera une copie au deuxième point.
Vous pouvez utiliser les deux touches T et P pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
  • Maintenez appuyée la touche Alt après le premier point pour basculer également en mode copie. En maintenant la touche Alt enfoncée après avoir cliqué sur le deuxième point, vous pourrez continuer à placer des copies; relâchez Alt pour terminer l'opération et voir toutes les copies.
  • Maintenez appuyée la touche Ctrl en vous déplaçant pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez appuyée la touche Shift tout en vous déplaçant vers votre prochain point contraint horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur Esc ou le bouton Fermer pour abandonner la commande en cours; les copies déjà placées resteront.

Script

Voir aussi: Draft API and FreeCAD Scripting Basics.

L'outil de déplacement peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

movedlist = move(objectslist, vector, copy=False)
  • Déplace le point de base des objets dans objectslist du déplacement et de la direction indiqués par vector.
    • objectslist est soit un objet unique, soit une liste d'objets.
Le vecteur de déplacement est relatif au point de base de l'objet, ce qui signifie que si un objet est déplacé de 2 unités, puis de 2 autres unités, il aura déplacé 4 unités au total de sa position d'origine.
  • Si copy est True, des copies sont créées au lieu de déplacer les objets d'origine.
  • movedlist est renvoyé avec les objets déplacés d'origine ou avec les nouvelles copies.
    • movedlist est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectslist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg


Arrow-left.svg Previous: Draft Move.svg Move
Next: Offset Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Rotation

Emplacement du menu
Draft → Rotate
Ateliers
Draft
Raccourci par défaut
R O
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil fait pivoter ou copie les objets sélectionnés dans l'angle et autour du point défini dans le Plan de travail courant. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

The Rotate tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To move without rotation, use Draft Move. To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Draft Rotate example.jpg

Rotating one object using a center reference point, from one reference angle to another angle


Utilisation

  1. Sélectionnez un ou des objets que vous voulez copier ou pivoter.
  2. Pressez le bouton Draft Rotate.png Pivoter, ou pressez les touches R et O
  3. Cliquez le point central dans la vue 3D, ou tapez une coordonnée
  4. Cliquez le second point dans la vue 3D, ou donnez un angle de référence
  5. Cliquez le troisième point dans la vue 3D, ou donnez un angle de rotation

Limitations

When rotating an object that is based on a Sketcher Sketch, for example, a feature created with the PartDesign Workbench (Pad, Revolution, etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

Options

  • Pressez les touches X, Y ou Z après le point, contraint le point suivant sur l'axe correspondant.
  • Vous pouvez entrer une coordonnée manuellement, en entrant simplement les nombres, et pressez ENTER entre chaque composants X, Y et Z.
  • Pressez la touche T ou, cochez/décochez la case Continuer est cochée, l'outil rotation continue après avoir terminer ou, fermé l'opération, et, permet de continuer une autre opération de rotation sans devoir à nouveau la sélectionner.
  • Pressez ALT ou C ou cochez la case Copier fera une copie de l'objet au lieu de la faire pivoter. même si le bouton de contrôle de copie est désactivée. Si vous gardez la touche ALT enfoncée après avoir cliqué sur le troisième point, vous serez en mesure de placer plusieurs copies, jusqu'à ce que vous relâchiez le touche ALT.
  • Pressez CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible, indépendamment de la distance.
  • Pressez SHIFT effectuera une contrainte verticale ou horizontale en rapport au centre de rotation.
  • Pressez ESC ou le bouton Annuler quitte la commande.

Script

L'outil rotation peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Fait pivoter l'objet donné ou, les objets contenus dans la liste donnée à l'angle donné autour du centre donné s'ils sont fourni, en utilisant l'axe comme un axe de rotation.
  • Si l'axe est omis, la rotation se fera autour de l'axe vertical Z.
  • Si copymode est True, les objets réels ne sont pas déplacés, mais des copies sont créées à la place.
  • Retourne les objets pivoté, ou leur copies.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
Arrow-left.svg Previous: Draft Move.svg Move
Next: Offset Draft Offset.svg Arrow-right.svg
Arrow-left.svg Page précédente: Draft Rotate.svg Rotation
Page suivante: Étendre Draft Trimex.svg Arrow-right.svg

Draft Offset.svg Draft décalage

Emplacement du menu
Draft → Décalage
Ateliers
Draft
Raccourci par défaut
O S
Introduit dans la version
-
Voir aussi
Décalage 2D Part


Description

Cet outil décale l'objet ou les objets sélectionnés à la distance donnée et dans le plan de travail courant. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Cet outil est généralement utilisé en mode copie pour créer des copies offset d'un tracé de base tout en laissant ce tracé au même endroit. Les copies offset sont des versions mises à l'échelle de l'objet d'origine. Pour créer d'autres copies à l'échelle, utilisez Draft échelle. Pour produire des copies exactes décalées d’une distance, utilisez Draft déplacer.

Draft Offset example.jpg

Offsetting a wire a certain distance from one of its edges


Utilisation

  1. Choisissez un objet à décaler
  2. Appuyez sur le bouton Draft Offset.png Décalage ou les touches O puis S.
  3. Cliquez un point sur la vue 3D, ou saisissez une distance.

La distance utilisée pour créer le décalage est perpendiculaire à l'un des bords de la forme d'origine, en fonction de la position du pointeur. Si le pointeur est rapproché d'un autre bord, ce dernier devient la référence pour la distance. Maintenez la touche Shift pour conserver le bord de référence actuel malgré le rapprochement du pointeur par rapport aux autres.

Options

  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continuer. Si la case est cochée, l'outil offset continue de fonctionner jusqu’à ce que vous ayez fini ou fermé la fonction, ce qui vous permet de décaler ou de copier les objets une autre fois sans pression sur la touche de décalage.
  • Appuyer sur la touche ALT ou C ou en cliquez sur le bouton Copier fera une copie des objets, au lieu de les déplacer. Si vous maintenez la touche ALT enfoncée après avoir cliqué le second point, vous serez en mesure de placer plusieurs exemplaires, jusqu'à ce que vous relâchiez la touche ALT.
  • Pressez la touche CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible.
  • Pressez la touche SHIFT crée une contrainte sur le segment actuel, au lieu de choisir le segment le plus proche.
  • Pressez la touche ESC ou le bouton Cancel annule l’opération.

Script

L'outil Offset (décalage) peut être par utilisé dans une macros et à partir de la console python en utilisant la fonction suivante :

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • La fonction Offset décale le fil donné en appliquant le vecteur donné à son premier sommet.
  • Si copymode est True, un autre objet est créé, sinon l'objet sera déplacé.
  • Si copymode a la valeur True et que le fil est ouvert, l'original et les fils déplacés seront liés par leurs extrémités, formant une face.
  • Si sym est True, le décalage est fait sur les deux côtés, la largeur totale étant la longueur du vecteur donné.
  • Renvoie l'objet décalé ou sa copie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)
Arrow-left.svg Page précédente: Draft Rotate.svg Rotation
Page suivante: Étendre Draft Trimex.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Split.svg Split (Fractionner)
Page suivante: Rétrograder Draft Downgrade.svg Arrow-right.svg

Draft Upgrade.svg Mettre à niveau Draft

Emplacement du menu
Draft → Mettre à niveau
Ateliers
Draft, Arch
Raccourci par défaut
U P
Introduit dans la version
-
Voir aussi
Rétrograder, Part Union


Description

Cet outil met à niveau les objets sélectionnés de différentes façons.

L'outil Mettre à niveau effectue des tâches telles que la création de faces et la fusion de différents éléments. Cet outil fonctionne avec les éléments Draft 2D. Pour fusionner des solides 3D, utilisez Part Union et les opérations booléennes associées de l'atelier Part et les opérations booléennes de l'atelier PartDesign.

La contrepartie de cet outil est l'opération Rétrograder.

Draft Upgrade example.jpg

Fil ouvert mis à niveau en fil fermé, puis en face; un carré fermé transformé en face, puis fusionné avec la face précédente


Utilisation

  1. Sélectionnez un ou plusieurs objets que vous souhaitez mettre à niveau.
  2. Cliquez sur le bouton Draft Upgrade.svg Mettre à niveau ou appuyez sur les touches U puis P. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Les objets sélectionnés sont modifiés ou mis à niveau dans les conditions suivantes, dans l'ordre:

  1. S'il y a plus d'une face dans la sélection, les faces sont fusionnées (union).
  2. S'il n'y a qu'une seule face dans la sélection, rien n'est fait.
  3. S'il n'y a qu'un seul fil ouvert dans la sélection, il se ferme et fait une face.
  4. S'il n'y a que des arêtes dans la sélection, toutes les arêtes sont jointes en un fil et ce dernier est fermé si possible.
  5. Si rien de ce qui précède n'est possible, un objet composé est créé.

Il est intéressant d'essayer de mettre à niveau une sélection plusieurs fois pour voir si une meilleure forme est obtenue. Par exemple:

  1. La mise à niveau de deux lignes connectées à une extrémité donnera un fil non modifiable.
  2. La mise à niveau de cet élément ajoutera une troisième ligne et fermera le fil non éditable.
  3. Une nouvelle mise à niveau de cet élément ajoutera une face au fil fermé et non modifiable.
  4. Une nouvelle mise à niveau de cet élément le transformera en un fil, qui peut être entièrement modifié et toutes ses propriétés modifiées.

Le fil résultant peut être mieux manipulé que les lignes d'origine. La fusion de lignes simples peut également être effectuée directement à l'aide de l'outil fil. Certaines opérations de fusion peuvent également être effectuées avec l'outil Part Union.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

L'outil Mettre à niveau peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Met à niveau les objets donnés, qui peuvent être un objet unique ou une liste d'objets.
  • Si delete est True, les anciens objets sont supprimés.
  • Si force est donné, c'est la fonction interne à appeler pour forcer un certain mode de mise à niveau. Il peut s'agir de: "makeCompound", "closeGroupWires", "makeSolid", "closeWire", "turnToParts", "makeFusion", "makeShell", "makeFaces", "draftify", "joinFaces", "makeSketchFace", "makeWires", or "turnToLine".
  • upgrade_list est renvoyé, qui est une liste contenant deux listes: une liste de nouveaux objets (addList) et une liste d'objets à supprimer (deleteList) .

Exemple:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)
Arrow-left.svg Page précédente: Draft Split.svg Split (Fractionner)
Page suivante: Rétrograder Draft Downgrade.svg Arrow-right.svg


Arrow-left.svg Previous: Draft Upgrade.svg Upgrade
Next: Scale Draft Scale.svg Arrow-right.svg

Draft Downgrade.svg Rétrograder

Emplacement du menu
Pièce → Rétrograder
Ateliers
Draft, Arch
Raccourci par défaut
D N
Introduit dans la version
-
Voir aussi
Mise à Niveau


Description

Cet outil rétrograde à un niveau inférieur les objets sélectionnés de différentes façons. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

The Downgrade tool performs things such as breaking faces, and deconstructing wires into their individual edges. It can cut a shape with another shape in similar way to Part Cut.

The counterpart to this tool is the Draft Upgrade operation.

Draft Downgrade example.jpg

Face cut from another face; then face downgraded into a closed wire; then downgraded into individual lines


Utilisation

  1. Sélectionnez un ou plusieurs objets que vous voulez descendre d'un niveau inférieur.
  2. Cliquez sur le bouton Draft Downgrade.png Retrograder ou pressez les touches D puis N

The selected objects are modified or downgraded, according to the following conditions, in order:

  1. If only one object is selected and it contains more than one face, each face becomes a separate object.
  2. If there are more than one face in the selection, the subsequent objects are subtracted from the first one.
  3. If there is only one face in the selection, it gets converted into a wire.
  4. Otherwise all wires found in the selection are exploded into single edges.

Options

Les objets sélectionnés sont modifiés/rétrogradés à un niveau inférieur, en suivant l'ordre de cette liste :

  • Uniquement si un objet est sélectionné et qu'il contient plus d'une face, les faces sont séparées en différents objets.
  • S'il y a plus d'une face, les faces subséquentes sont soustraites d'une face.
  • S'il n'existe qu'une seule face, elle est convertie en un fil (wire).
  • Dans le cas contraire tous les fils (wire) sont éclatés en arêtes (edges) uniques.

Exemple

Script

L'outil Rétrograder peut être utilisé dans un script Python ou dans une macro en utilisant la fonction suivante :

downgrade_list = downgrade(objects, delete=False, force=None)
addList, deleteList = downgrade(objects, delete=False, force=None)
  • Démonte les objet(s) donnés (qui peut être un objet ou une liste d'objets).
  • Si "delete" est réglé "True", les anciens objets sont supprimés.
  • L'attribut Force peut être utilisé pour forcer un certain mode de déclassement. Il peut être : explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
  • Retourne un dictionnaire contenant deux listes, une liste des nouveaux objets et une liste d'objets à supprimer

Exemple :

import FreeCAD, Draft

# Create an union
Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=True)
union = addList1[0]

# Downgrade the union twice
addList2, deleteList2 = Draft.downgrade(union, delete=False)
wire = addList2[0]

list_edges, deleteList3 = Draft.downgrade(wire, delete=False)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

list_faces, deleteList4 = Draft.downgrade(Box, delete=True)
Arrow-left.svg Previous: Draft Upgrade.svg Upgrade
Next: Scale Draft Scale.svg Arrow-right.svg
Arrow-left.svg Previous: Draft Offset.svg Offset
Next: Join Draft Join.svg Arrow-right.svg

Draft Trimex.svg Réduire ou Etendre

Emplacement du menu
Draft → Trim/Extend
Ateliers
Draft
Raccourci par défaut
T R
Introduit dans la version
-
Voir aussi
Part Extrude


Description

Outil de réduction et extension de lignes et polylignes et extrude les faces.

The Trimex tool also extrudes faces created from closed wires. In this sense, it's similar to Part Extrude and to PartDesign Pad.

Draft trimex example.jpg

Wire segment extended, then wire segment trimmed; face extruded into a solid body


Utilisation

  1. Sélectionnez le text-top=Ligne à points multiples Wire que vous souhaitez réduire, ou étendre, ou sélectionnez la face que vous souhaitez extruder.
  2. Pressez le bouton text-top=Trimex Trimex, ou pressez la touche T puis R.
  3. Cliquez un point dans la vue 3D.

Trimming or extending is decided from the position of the pointer.

  • If the line is short it can be extended to approach and cross another line.
  • If the line is long and crosses another line, the excess length can be trimmed.
  • If the pointer is moved over another object or edge, the trim-extend operation will snap to that object, so that the trimmed or extended line ends exactly at the intersection with the object. This snapping works even without Draft Snap modes active.

A Draft Wire allows you to trim or extend any of its individual segments, which may affect the entire shape of the wire. In this case, the Trimex tool will work on the line segment that is closer to the pointer. Hold the Shift key to keep trimming or extending the current segment independently of the position of the pointer.

When the selected object is a face, the Trimex tool switches to extrude mode. In extrude mode the extrusion is done in the direction of the normal of the face. For example, if a rectangle lies on the XY plane, it should be extruded in the Z direction. To do this correctly, pressing the Z key may be necessary to constrain the distance to the Z direction. Alternatively, hold the Shift key to extrude in any direction that is not the normal.

Options

  • La réduction, ou l'extension, est effectuée automatiquement à la position de votre souris.
  • Si vous déplacez le curseur de la souris sur un autre objet, l'opération réduire et étendre s'accrochera à l'objet ou le segment.
  • En appuyant sur la touche SHIFT, il se crée une contrainte, sur le segment actuellement réduit ou étendu.
  • Appuyez sur ALT, pour faire inverser l'ordre de l'ajustement.
  • Lorsque l'objet sélectionné est une face', ou lorsqu'une face est sélectionnée dans un objet existant, le commutateur de réduction, ou d'extension se met en mode extrusion. En mode extrusion, appuyez sur la touche MAJ, contraint l'extrusion de la face normalement, et, force l'accrochage, de votre point, à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.

Script

Non disponible. Voir l'outil Extrusion.

Arrow-left.svg Previous: Draft Offset.svg Offset
Next: Join Draft Join.svg Arrow-right.svg
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg

Draft Scale.svg Échelle

Emplacement du menu
Draft → Scale
Ateliers
Draft, Arch
Raccourci par défaut
S C
Introduit dans la version
-
Voir aussi
Draft Clone


Description

Cet outil met à l'échelle des objets sélectionnés autour d'un point de base. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

The Scale tool can produce a copy or a Draft Clone at a defined scale. Use Draft Offset to produce a scaled copy of a wire set at a certain offset. A simple copy with no scaling can be produced with Draft Move.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

Draft Scale example.jpg

Scaling one object from a reference point to a second point


Utilisation

  1. Sélectionnez les objets dont vous désirez changer la taille
  2. Appuyez sur le bouton Draft Scale.png Draft Scale ou sur les touches S puis C
  3. Cliquez votre premier point sur une zone vide de la vue 3D, ou tapez les coordonnées pour définir le point de base de la mise à l'échelle.
  4. Une boîte de dialogue de tâche s'ouvre avec les options de mise à l'échelle. Remplissez les différentes options et appuyez sur OK pour accepter.

Options

  • Entrez les coordonnées manuellement simplement en entrant les nombres et pressez la touche ENTER entre chaque composante XY et Z.
  • Les composants x, y et z du deuxième point définissent le facteur d'échelle.
  • Cocher l'option "Mise à l'échelle uniforme" verrouille les X, Y et Z à la même valeur.
  • Pressez la touche CTRL et votre point d'emplacement se fera sur un point d'ancrage (snap) disponible, indépendamment de la distance.
  • Le résultat de l'opération de mise à l'échelle peut être:
    • Un Draft Clone des objets, ne modifie pas les objets d'origine, mais vous permet de changer le facteur d'échelle manuellement plus tard (fonctionne pour tous les types d'objets)
    • Les objets d'origine ont leur taille modifiée (ne fonctionnera qu'avec les objets Draft ou les formes de pièces non paramétriques)
    • Une copie mise à l'échelle des objets de base est produite (fonctionnera pour tous les types d'objets, mais seules les copies des objets Draft seront paramétriques)

Script

L'outil Scale peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

scaledlist = scale(objectslist, delta=Vector(1,1,1), center=Vector(0,0,0), copy=False, legacy=False)
  • Scales met à l'échelle les objets contenus dans des objets (qui peuvent être une liste d'objets ou un objet), le facteur d'échelle donné, défini par le vecteur donné (des directions X, Y et Z) autour d'un axe donné.
  • Si legacy est True, le mode direct (ancien) est utilisé, sinon une copie paramétrique s'effectue.
  • Si copy a la valeur True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Les objets (ou leurs copies) sont créés.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=1200)
delta1 = FreeCAD.Vector(2.3, 0.75, 0)

clone_1 = Draft.scale(Polygon1, delta1, copy=True)

Polygon2 = Draft.makePolygon(5, radius=750)
delta2 = FreeCAD.Vector(-2, -1.5, 0)

clone_2 = Draft.scale([Polygon1, Polygon2], delta2, copy=True)
Draft.move(clone_2, FreeCAD.Vector(3500, 1000, 0))
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg
Arrow-left.svg Previous: Draft Scale.svg Scale

Draft Edit.svg Draft Edit

Emplacement du menu
Draft → Edit
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil vous permet de modifier graphiquement certaines propriétés de l'objet sélectionné, comme les sommets d'un Wire, ou la longueur et la largeur d'un Rectangle, ou le rayon d'un Cercle.

It does nothing more than enter the object's edit mode. Another way to edit the object is by double clicking on the element in the tree view.

Draft edit example.jpg

Editing a wire


Utilisation

  1. Sélectionnez un wire, ligne, rectangle, bspline ou cercle
  2. Pressez le bouton Draft Edit.png Draft Édit, ou, double-cliquez sur l'objet dans la Vue arborescente ou utilisez le bouton Std Edit.png Std Édit
  3. Cliquez sur le point dans la vue 3D, que vous souhaitez déplacer.
  4. Cliquez sur un autre point, dans la vue 3D, ou tapez une coordonnées.
  5. Pressez les touches ESC ou le bouton Fin.

The Edit tool only works on one selected object at a time.

The tool mostly works on Draft objects: Draft Wires, Draft Lines, Draft Rectangles, Draft Circles, Draft Arcs, Draft Polygons, and Draft BSplines. Other object types must first be converted to these objects.

Options

  • L'outil édit ne fonctionne que sur un objet sélectionné à la fois.
  • Le mode édition fonctionne uniquement sur les fils (Wires), les Rectangles, les Cercles et les Arcs. Les autres types d'objets doivent d'abord être convertis en objets "Draft".
  • Cliquez sur un sommet (vertex) pour le modifier ou pour le déplacer, cliquez à nouveau pour le désélectionner.
  • Pressez sur X, Y ou Z après un point pour contraindre le prochain point sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrer simplement les numéros, puis de pressez sur ENTRÉE, entre chacun des composantes X, Y et Z.
  • Pressez sur CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible, indépendamment de la distance.
  • Pressez sur SHIFT tout en tirant (diriger la direction H ou V) contraindre votre prochain point horizontalement ou verticalement, par rapport au dernier point.
  • Pressez sur ESC, le bouton Cancel ou le bouton Draft Edit.png Draft Édit fini l'édition.
  • Pressez une deuxième fois sur le bouton Draft Edit.png Draft Édit sort également du mode édition.
  • Pressez le bouton text-top=Add point AddPoint, vous permet d'ajouter des points aux wire et bspline en cliquant sur les segments.
  • Pressez le bouton text-top=Del point Del point, vous permet de supprimer des points sur les wire et bspline en cliquant, sur les points à retirer.

Some objects allow you to insert or delete points:

  • Press the Draft AddPoint.svg add point button, and then click on the wire or spline to add a new point.
  • Press the Draft DelPoint.svg remove point button, and then click on a point along the wire or spline to remove it.

Script

Non disponible. Chaque objet ci-dessus peut être modifié en changeant directement ses propriétés.

Arrow-left.svg Previous: Draft Scale.svg Scale
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg


Development of the Drawing Workbench stopped in FreeCAD 0.16; the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.


Draft Drawing.svg Dessin

Emplacement du menu
Draft → Dessin
Ateliers
Draft (Mise en plan), Arch module
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil permet de copier les objets sélectionnés sur une feuille de dessin. Si aucune feuille n'existe dans le document, une feuille par défaut sera créé. Cet outil fonctionne de manière similaire à l'outil Drawing View, mais est optimisé pour les objets Draft et peut rendre les objets 2D plats avec faces remplies. Il peut également gérer un couple d'objets Draft spécifiques, tels que dimensions et textes, que l'outil Drawing View ne peut pas gérer.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

Draft drawing example.jpg

Draft object and dimensions imported into a Drawing page


Utilisation

  1. Sélectionnez les objets à inclure dans la feuille de dessin.
  2. Pressez le bouton Draft Drawing.png Draft Drawing

Notes:

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Options

  • Sélectionner les objets que vous souhaitez mettre sur la feuille de dessin. L'outil fonctionnera mieux avec des objets plats 2D des modules Draft ou Sketcher.
  • Si l'objet sélectionné est un Arch SectionPlane, cet outil créera une vue supplémentaire de ce plan.
  • Dans la même sélection, ajoutez l'objet page que ou vous souhaitez dessiner vos objets. S'il n'y a aucune page existante, une nouvelle page sera créée. Si vous ne sélectionnez pas de page, et qu'il y a au moins une page dans le document, la première trouvée sera utilisé.
  • Si vous avez sélectionné une feuille existante, et, que les objets dans la sélection sont déjà sur cette feuille (par ex. pour un objet Rectangle, c'est déjà un objet ViewRectangle sur la feuille), ils seront substitués. Cela vous permet de sélectionner tous les objets, et, de les envoyer dans une page existante, qui sera tout simplement mise à jour.

Propriétés

  • DONNÉESFill Style: Pour les formes fermées, permet de spécifier un style de remplissage par défaut, ou, d'utiliser la couleur de la forme.
  • DONNÉESFont Size: Spécifie la taille de la police des textes et dimensions.
  • DONNÉESLine Width: Spécifie la largeur de ligne des objets visibles.

Script

L'outil Draft Drawing, peut être utilisé dans les macros, et, dans la console Python en utilisant la fonction suivante :

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Ajoute une vue de l'objet sélectionné dans la page donnée.
  • Retourne la vue créée de l'objet.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Exemple:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg

Draft Shape2DView.svg Draft Projection 2D d'une forme

Emplacement du menu
Draft → Projection 2D d'une forme
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil place dans le document un objet 2D qui est une vue aplatie d'une forme sélectionnée Shape de base, projeté dans la direction de la de la vue actuelle.

The resulting projection is a Draft object and is placed in the 3D view. This object can be displayed on a TechDraw Workbench Page, using the TechDraw NewDraft tool. Alternatively, TechDraw has its own tools to create projected views, the TechDraw NewView and TechDraw NewProjGroup tools; however, these tools are meant for preparing technical drawings, so they create the views only in the drawing page, and not in the 3D view.

Draft Shape2DView example.jpg

Projection of solid shapes into the XY plane


Utilisation

  1. Sélectionnez l'objet dont vous voulez extraire la forme 2D.
  2. Faites pivoter la vue (ou utiliser une vue avec les raccourcis clavier ou boutons) de manière qu'il reflète la direction que vous désirez donner à l'objet. Par exemple, en utilisant la vue de dessus va projeter l'objet sur le plan XY, verticalement le long de l'axe Z comme sur l'image ci-dessus.
  3. Cliquez sur le bouton Draft Shape2DView.png Draft Projection 2D d'une forme.

The projected object will be created below the selected object, lying on the XY plane. It's position can be changed by changing its properties. The projection direction can also be changed after creation with the property editor.

If the selected object is an Arch SectionPlane, the projection will use the contents and direction of that Section plane; in this case, the "Projection" property will be ignored.

Options

  • Si l'objet sélectionné est un Plan de coupe Arch, la projection 2D se fera sur le contenu du plan de coupe, et le vecteur de projection sera celui du plan de coupe au lieu de la propriété de Projection ci-dessous.
  • Le mode de fonctionnement normal est Solid, qui projette la forme entière, mais, si vous avez sélectionné quelques faces de l'objet de base lors de la création de la vue 2D, vous pouvez également définir le mode Individual Faces (Faces individuelles), qui projettera seulement les faces qui ont été sélectionnées.
  • Si l'objet sélectionné est un Plan de coupe Arch, un mode de projection Cutlines et un mode Cut Face sont aussi disponibles et ne projettent que les arêtes qui sont coupées par le plan de coupe. Le mode Cutfaces affiche les zones découpées du solide en tant que faces.

Propriétés

  • DONNÉESProjection: La direction de la projection.
  • DONNÉESProjection Mode: Le mode de projection: solide, individuel faces, ou lignes coupées.
  • DONNÉESIn Place: Si True, lorsque vous utilisez le mode Cutlines ou Cutfaces (Arch Section Section uniquement), le résultat apparaîtra à l'emplacement du plan de coupe au lieu du plan de masse.introduced in version 0.17
  • DONNÉESHiddenLines: Affiche ou cache les lignes
  • DONNÉESTessellation: Tessellate Ellipses et BSplines dans les segments de ligne
  • DONNÉESSegment Length: Modifie la taille des segments si Tessellation est activée (True)
  • DONNÉESVisible Only: Si True, cette vue ne sera recalculée que si elle est visible

Script

L'outil Draft - Projection 2D d'une forme peut être utilisé dans les macros et dans la console Python en utilisant la fonction suivante :

Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
  • Ajoute une forme 2D dans le document, qui est une projection 2D de l'objet donné.
  • Un vecteur de projection spécifique peut également être donné.
  • Retourne l'objet généré.
  • Vous pouvez également fournir une liste de faces à prendre en considération.

The ProjectionMode attribute needs to be overwritten with the desired mode, which can be "Solid", "Individual Faces", "Cutlines", or "Cutfaces".

Exemple :

import FreeCAD, Draft

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

Shape1 = Draft.makeShape2DView(Box)

Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))

Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
Shape3.ProjectionMode = "Individual Faces"

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft Edit Improved.svg Edit Improved
Next: Add point Draft AddPoint.svg Arrow-right.svg

Draft WireToBSpline.svg Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil Draft WireToBSpline.png Wire en Bspline, converti un Wire en B-Spline, et vice-versa.

Draft Wire2BSpline example.jpg

Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire


Utilisation

  1. Sélectionnez un objet Wire ou un objet B-Spline.
  2. Pressez le bouton Draft WireToBSpline.png Wire en Bspline.

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set DATAMake Face to False to see the new shape, or set DATAClosed to False to create an open shape.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Script

Non disponible, le but ici, est de créer un nouvel objet, avec les points d'un autre objet facilement, par exemple :

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Si l'objet actif est un Wire:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
Arrow-left.svg Previous: Draft Edit Improved.svg Edit Improved
Next: Add point Draft AddPoint.svg Arrow-right.svg

Draft AddPoint.svg Draft Ajouter un point

Emplacement du menu
Draft → Ajouter un point
Ateliers
Atelier Draft, Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Effacer un Point, Draft Édit


Description

Cet outil vous permet d'ajouter des points supplémentaires à un Fil (Wire) et à des BSplines.

La contrepartie de cet outil est l'opération Draft Effacer un Point.

Utilisation

  1. Sélectionnez un Fil (Wire) ou un BSplines. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un Point.
  3. Cliquez sur un point de la vue 3D ou tapez les coordonnées et appuyez sur le bouton Draft AddPoint.svg ajouter un point.
  4. Appuyez sur Esc ou sur le bouton Close pour terminer l'opération. Les points déjà placés resteront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Draft Edit.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil

Draft Edit.svg Draft Edit.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

Aucune interface de programmation n'est disponible pour l'outil AddPoint. Toutefois, l'ajout de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Previous: Draft AddPoint.svg Add point

Draft DelPoint.svg Draft_DelPoint

Emplacement du menu
Draft → Remove Point
Ateliers
Draft, Arch
Raccourci par défaut
Introduit dans la version
-
Voir aussi
Draft AddPoint


Description

Cet outil, vous permet de retirer des points supplémentaires à un Fil (Wire) et un BSplines.

The counterpart to this tool is the Draft AddPoint operation.

Utilisation

  1. Sélectionnez un Fil (Wire) ou un BSplines.
  2. Pressez le bouton Draft DelPoint.png Draft DelPoint.
  3. Cliquez un point sur un wire ou BSpline.

This functionality is also available from the Draft Edit.svg Draft Edit tool.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil Draft Edit.png Draft Edit.

Script

N'est pas disponible, mais le retrait de point(s) à un Fil (Wire) ou un BSplines, est facile, par exemple :

The Points attribute of a wire or spline is a list with the points that comprise that object; to remove points, overwrite this attribute with a shorter list of points. You can use methods like pop() to remove an element in the desired position in the list. Each point is defined by its FreeCAD.Vector, with units in millimeters.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, 400, 0)
p2 = FreeCAD.Vector(1500, -1500, 0)
p3 = FreeCAD.Vector(2200, 1000, 0)

wire = Draft.makeWire([p1, p2, p3])
points = wire.Points
points.pop(1)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft AddPoint.svg Add point
Arrow-left.svg Page précédente: Draft Shape2DView.svg Projection 2D d'une forme
Page suivante: Tableau Draft Array.svg Arrow-right.svg

Draft Draft2Sketch.svg Draft Draft2Sketch

Emplacement du menu
Drafting -> Draft to Sketch
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil converti un objet Draft en objet Sketcher, et vice-versa.

Draft Draft2Sketch example.jpg

Draft Draft2Sketch example.jpg

Utilisation

  1. Sélectionnez un objet Draft ou un objet Sketch.
  2. Pressez le bouton Draft Draft2Sketch.png Draft Draft2Sketch.

Notes:

  • If you convert a Draft Wire, the resulting sketch will use point constraints for the nodes.
  • If you convert a Draft Rectangle, the resulting sketch will use point constraints for the corners, and horizontal and vertical constraints for the edges.
  • If you convert a Draft BezCurve, the resulting sketch will be approximated by a Sketcher BSpline, as the Sketcher Workbench doesn't support Bezier curves currently.
  • Non-Draft objects that are totally planar will also get converted to sketches.

Limitations

The conversion of an object that cannot be represented with a combination of straight lines, circular arcs, and B-Splines will usually fail, that is, the item will not appear in the sketch.

In the past, a Draft BSpline couldn't be converted directly to a sketch. A tool to perform this conversion was developed for the KicadStepUp Workbench, which would take a Draft BSpline and convert it into a series of Sketcher Arcs. See the forum thread BSplines to Shape2DView and Sketcher for more information.

Since FreeCAD 0.17, the conversion from Draft BSpline to Sketcher BSpline is possible. However, converting a spline to a series of arcs may still be useful for exporting geometry to applications that don't support B-Splines, like KiCad.

Options

  • Si vous convertissez un Wire (ligne multiple), une contrainte sera appliquée aux points et aux nœuds.
  • Si vous convertissez un Rectangle, une contrainte sera appliquée, sur les coins, les points les contraintes horizontales/verticales et les bords.
  • Les objets Non-Draft, qui sont totalement plans, seront également converti en sketch.

There are no options for this tool. Either it works with the selected object or not.

Script

Non disponible, voir la documentation Sketcher Module pour créer un script de sketch.

Internally the Draft2Sketch tool uses two methods to convert back and forth from Draft to Sketch.

Convert objects to Sketch:

Draft.makeSketch(objectslist, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1)

Convert objects to Draft:

Draft.draftify(objectslist, makeblock=False, delete=True)
Arrow-left.svg Page précédente: Draft Shape2DView.svg Projection 2D d'une forme
Page suivante: Tableau Draft Array.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft to Sketch
Page suivante: Path Array Draft PathArray.svg Arrow-right.svg

Draft Array.svg Réseau Draft

Emplacement du menu
Draft → Réseau
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Chemin pour série de formes, Draft PointArray, Draft Clone


Description

L'outil Réseau (tableau ou copies multiples) crée une copie orthogonale (3 axes) ou un tableau polaire de l'objet sélectionné.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft, mais également sur de nombreux types d'objets 3D, tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies le long d'un chemin, utilisez l'outil PathArray ; pour positionner des copies à des points spécifiés, utilisez Draft PointArray ; pour créer des copies ou des clones et les placer manuellement, utilisez les outils Draft déplacer, Draft rotation, et Draft Clone.

Draft Array example.jpg

Un tableau orthogonal et un tableau polaire d'un objet solide


Utilisation

  1. Sélectionnez l'objet pour créer un réseau.
  2. Pressez le bouton Draft Array.png Réseau Draft. Si aucun objet n'est sélectionné vous serez invité à en sélectionner un.
  3. L'objet Array est créé immédiatement. Vous devez modifier les propriétés du tableau pour modifier le nombre et la direction des copies créées.

Chaque élément du tableau est un clone exact de l'objet d'origine, mais l'ensemble du tableau est considéré comme une unité unique en termes de propriétés et d'apparence.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Propriétés

  • DONNÉESBase : spécifie l'objet à dupliquer dans le tableau.
  • DONNÉESArray Type : spécifie le type de tableau à créer, soit "orthogonal" or "polaire".
  • DONNÉESFuse : si elle est réglée sur True et que les copies se croisent, elles seront fusionnées en une seule forme.

Pour une matrice orthogonale:

  • DONNÉESInterval X : L’intervalle entre chaque copie sur le premier axe
  • DONNÉESInterval Y : L’intervalle entre chaque copie sur le deuxième axe
  • DONNÉESInterval Z : L’intervalle entre chaque copie sur le troisième axe
  • DONNÉESNumber X : Le nombre de copies sur le premier axe
  • DONNÉESNumber Y : Le nombre de copies sur le deuxième axe
  • DONNÉESNumber Z : Le nombre de copies sur le troisième axe

Pour une matrice polaire :

  • DONNÉESAxis : La direction normale de la matrice circulaire
  • DONNÉESCenter : Le point central de la matrice
  • DONNÉESAngle : L'angle couvert par les copies
  • DONNÉESNumber Polar : Le nombre de copies
  • DONNÉESInterval Axis : spécifie l'intervalle entre chaque copie dans la direction DONNÉESAxis.

Le nombre de propriétés, X, Y, Z ou Polar, inclut également l'objet d'origine. Ce nombre est donc au moins égal à un.

Un intervalle n'est pas une simple distance, mais un vecteur (x, y, z). Si plusieurs valeurs sont non nulles, la copie sera créée dans la direction principale, mais sera également déplacée dans les autres directions non nulles.

Par exemple, si l'DONNÉESIntervalle X est égal à (2 m, 1 m, 1 m) et si DONNÉESNombre X est égal à 3, il créera 3 copies dans la direction X ; la première copie sera à la position d'origine ; la seconde sera déplacée de 2 m sur l'axe X, 1 m sur l'axe Y et 1 m sur l'axe Z ; la troisième copie sera déplacée de 4 m sur l'axe X, de 2 m sur l'axe Y et de 2 m sur l'axe Z. Chaque élément de la matrice sera déplacé légèrement d'un côté (direction Y) et vers le haut (direction Z) à côté de la direction X principale.

La propriété DONNÉESAxe d'intervalle fonctionne de la même manière. Si la forme d'origine repose sur le plan XY, la création d'un tableau polaire avec DONNÉESAxe d'intervalle (0, 0, z) vous permet de réaliser des arrangements en spirale.

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil matrice peut être utilisé dans une macro et dans la console Python en utilisant une des fonctions suivantes, et dépend du résultat recherché, simple copie de l'objet ou une copie paramétrique qui sera dépendante de l'objet original.

Simple réseau

La signature de base est la suivante :

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Pour créer un réseau rectangulaire, procédure à suivre :

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Pour réseau polaire, utilisez-le comme ceci :

array_list = array(objectslist, center, totalangle, totalnum)
  • Crée un tableau à partir des objets contenus dans objectlist, qui peut être un objet unique ou une liste d'objets.
  • Dans le cas d'un tableau rectangulaire, xvector, yvector et zvector déterminent la distance entre les points de base de chaque copie, dans les directions X, Y et Z; et xnum, ynum et znum sont le nombre de copies dans la direction respective.
  • Dans le cas d'un réseau polaire, center définit le centre du cercle du tableau, totalangle est l'angle de l'arc en degrés pour couvrir les copies, et {{incode|totalnum} } est le nombre de copies à organiser autour du cercle, y compris l'objet d'origine.
  • array_list est renvoyé avec les nouvelles copies.
    • array_list est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectlist.

Cette fonction utilise en interne Draft.move() et Draft.rotate() avec copy = True.

Exemple :

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Réseau paramétrique

La signature de base est la suivante :

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Pour un réseau rectangulaire, utilisez-le comme ceci :

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Pour un réseau polaire, utilisez-le comme ceci :

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crée un objet Array à partir de baseobject donné.
  • Dans le cas d'un tableau rectangulaire, xvector, yvector et zvector déterminent la distance entre les points de base de chaque copie, dans les zones X, Y et Z directions; et xnum, ynum et znum sont le nombre de copies dans la direction respective.
  • Dans le cas d'un réseau polaire, center définit le centre du cercle du tableau, totalangle est l'angle de l'arc en degrés pour couvrir les copies, et totalnum est le nombre de copies à organiser autour du cercle, y compris l'objet d'origine.

Exemple :

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft to Sketch
Page suivante: Path Array Draft PathArray.svg Arrow-right.svg


Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Emplacement du menu
Draft → Clone
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Scale


Description

Cet outil génère un clone (copie paramétriquement liée à l'objet original) d'un objet sélectionné. Si l'objet original est modifié, le clone sera aussi modifié, mais maintiendra sa position rotation et échelle.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Draft Clone

Utilisation

  1. Sélectionnez l'objet (les objets) à cloner.
  2. Pressez le bouton Draft Clone Draft Clone.

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

  • Les clones d'objets 2D (Projet ou croquis) seront aussi des objets 2D, et peuvent donc être utilisés tel quel avec Part Design.
  • Tous les objets Arch ont la possibilité de se comporter comme des clones (en utilisant leur propriétés CloneOf). Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un objet Arch clone à la place d'un objet Draft clone conventionnel.

Propriétés

  • DONNÉESScale: Spécifie le facteur d'échelle pour le clone.
  • DONNÉESFuse: Si ce clone utilise plusieurs objets, cela indique si le résultat est une fusion ou un composé Disponible dans la version 0.17
  • Le résultat de l'outil Draft Scale est aussi un clone.
  • Les sketches ne peuvent pas être construits sur les faces d'un clone. C'est une limitation de Draft Clone.

Script

L'outil Clone, peut être utilisé dans les macros, et, dans la console Python en utilisant la fonction suivante :

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crée un clone de(s) l'objet(s).
  • Le clone est une copie exacte de l'objet sélectionné, et lié à cet objet.
  • Si l'objet d'origine est modifié, l'objet final change aussi. Facultativement, vous pouvez donner un vecteur delta, pour déplacer le clone de sa position d'origine.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Exemple:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>


<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>


<translate> </translate>